Bug 1031008 - Got traceback while unregistering client from katello server .
Got traceback while unregistering client from katello server .
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michael Stead
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-11-15 08:22 EST by spandey
Modified: 2015-04-23 19:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:36:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2013-11-15 08:22:52 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
4/4

Prerequisites:
Rhel7 client with following subscription-manager rpm 
 subscription-manager-gui-1.10.7-1.git.0.15d737b.el7.x86_64
subscription-manager-firstboot-1.10.7-1.git.0.15d737b.el7.x86_64
subscription-manager-migration-1.10.7-1.git.0.15d737b.el7.x86_64
subscription-manager-migration-data-2.0.5-1.git.0.3be2ad4.el7.noarch
subscription-manager-1.10.7-1.git.0.15d737b.el7.x86_64

Steps to Repro : 

1) login to client console and subscription-manager gui using following command 
subscription-manager-gui & 
2) From cli register client to katello server.
3) Unregister client from katello using subscription-manager unregister option .

Expected Result : 
Register and unregister process should sucessfully completed no error should display on console 

Actual Result : 
[root@localhost ~]# subscription-manager-gui is already running

[2]+  Done                    subscription-manager-gui
[root@localhost ~]# 
[root@localhost ~]# 
[root@localhost ~]# 
[root@localhost ~]# 
[root@localhost ~]# subscription-manager register
Username: admin
Password: 
Organization: ACME_Corporation
The system has been registered with ID: a8d380e1-48b3-4005-acaf-ab4cac9e6e9e 
[root@localhost ~]# subscription-manager unregister
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/cert_sorter.py", line 373, in on_ent_dir_changed
    self.on_change()
  File "/usr/share/rhsm/subscription_manager/cert_sorter.py", line 363, in on_change
    self.load()
  File "/usr/share/rhsm/subscription_manager/cert_sorter.py", line 116, in load
    self._parse_server_status()
  File "/usr/share/rhsm/subscription_manager/cert_sorter.py", line 135, in _parse_server_status
    status = self.get_compliance_status()
  File "/usr/share/rhsm/subscription_manager/cert_sorter.py", line 333, in get_compliance_status
    return status_cache.load_status(self.cp_provider.get_consumer_auth_cp(), self.identity.uuid)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 211, in load_status
    self._sync_with_server(uep, uuid)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 300, in _sync_with_server
    self.server_status = uep.getCompliance(uuid)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 824, in getCompliance
    return self.conn.request_get(method)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 548, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 476, in _request
    self.validateResponse(result, request_type, handler)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 528, in validateResponse
    handler=handler)
rhsm.connection.UnauthorizedException: Server error attempting a GET to /katello/api/consumers/a8d380e1-48b3-4005-acaf-ab4cac9e6e9e/compliance returned status 401
Unauthorized: Invalid credentials for request.
System has been unregistered.
Comment 2 Michael Stead 2013-12-10 13:40:04 EST
https://github.com/candlepin/subscription-manager/pull/819

Available in:
- master branch
- subscription-manager-1.10.9+
Comment 4 spandey 2014-01-08 04:53:24 EST
verification blocked with defect 

https://bugzilla.redhat.com/show_bug.cgi?id=1048727
Comment 5 spandey 2014-01-22 05:37:58 EST
verified using following rpm 
subscription-manager-gui-1.10.10-1.el7.x86_64
subscription-manager-1.10.10-1.el7.x86_64
subscription-manager-firstboot-1.10.10-1.el7.x86_64

working fine resolving defect to verified
Comment 6 Ludek Smid 2014-06-13 07:36:23 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.